package com.pcloud.book.push.dao;

import com.pcloud.book.es.entity.ESNews;
import com.pcloud.book.push.entity.News;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/6/13 17:45
 **/
public interface NewsDao extends BaseDao<News> {

    List<ESNews> findAll(Long maxId, Integer offset);

    Integer count();

    void batchInsert(List<News> news);

    News getByUrl(String url);
}
